Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.IO.Platform Class Reference

## Static Public Member Functions
static string | PlatformIdToPath (string platform)
static string | PlatformIdToPath (PlatformId platform)
static string | GetArch (PlatformId platform)
static OsId | GetOs (PlatformId platform)
static bool | Is64Bit ()
static bool | Is64BitByFilePath (string filePath)
static bool | Is64BitByFileContent (string filePath)
static bool | Is64Bit (PlatformId platformId)
static PlatformId | GetPlatformByFilePath (string filePath)
static PlatformId | GetPlatformByFilePath (FileSystemEntry fileSystemEntry)
static PlatformId | GetPlatformByFileContent (FileSystemEntry filePath)
static PlatformId | GetPlatformByFileContent (string filePath)
static bool | IsWindows ()
static bool | IsWindows (PlatformId platformId)
static bool | IsMacOsX ()
static bool | IsMacOsX (PlatformId platformId)
static bool | IsIOS ()
static bool | IsIOS (PlatformId platformId)
static bool | IsLinux ()
static bool | IsLinux (PlatformId platformId)
static bool | IsAndroid ()
static bool | IsAndroid (PlatformId platformId)

## Properties
static PlatformId | Current`[get]`

## Static Private Member Functions
static PlatformId | GetPlatformByFilePath (string filePath, PlatformId[] platformIds)
static PlatformId | GetUnixPlatform ()

## Static Private Attributes
static ? PlatformId | CachedUnixPlatformId

## Member Function Documentation

## ◆ GetArch()

string Zwipe.Build.Tools.IO.Platform.GetArch | ( | PlatformId | platform | ) |
| static

Here is the caller graph for this function:

## ◆ GetOs()

OsId Zwipe.Build.Tools.IO.Platform.GetOs | ( | PlatformId | platform | ) |
| static

Here is the caller graph for this function:

## ◆ GetPlatformByFileContent() [1/2]

PlatformId Zwipe.Build.Tools.IO.Platform.GetPlatformByFileContent | ( | FileSystemEntry | filePath | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetPlatformByFileContent() [2/2]

PlatformId Zwipe.Build.Tools.IO.Platform.GetPlatformByFileContent | ( | string | filePath | ) |
| static

Here is the call graph for this function:

## ◆ GetPlatformByFilePath() [1/3]

PlatformId Zwipe.Build.Tools.IO.Platform.GetPlatformByFilePath | ( | FileSystemEntry | fileSystemEntry | ) |
| static

Here is the call graph for this function:

## ◆ GetPlatformByFilePath() [2/3]

PlatformId Zwipe.Build.Tools.IO.Platform.GetPlatformByFilePath | ( | string | filePath | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetPlatformByFilePath() [3/3]

PlatformId Zwipe.Build.Tools.IO.Platform.GetPlatformByFilePath | ( | string | filePath,
|  | PlatformId[] | platformIds )
| static private

Here is the call graph for this function:

## ◆ GetUnixPlatform()

PlatformId Zwipe.Build.Tools.IO.Platform.GetUnixPlatform | ( |  | ) |
| static private

## ◆ Is64Bit() [1/2]

bool Zwipe.Build.Tools.IO.Platform.Is64Bit | ( |  | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Is64Bit() [2/2]

bool Zwipe.Build.Tools.IO.Platform.Is64Bit | ( | PlatformId | platformId | ) |
| static

## ◆ Is64BitByFileContent()

bool Zwipe.Build.Tools.IO.Platform.Is64BitByFileContent | ( | string | filePath | ) |
| static

Here is the call graph for this function:

## ◆ Is64BitByFilePath()

bool Zwipe.Build.Tools.IO.Platform.Is64BitByFilePath | ( | string | filePath | ) |
| static

Here is the call graph for this function:

## ◆ IsAndroid() [1/2]

bool Zwipe.Build.Tools.IO.Platform.IsAndroid | ( |  | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ IsAndroid() [2/2]

bool Zwipe.Build.Tools.IO.Platform.IsAndroid | ( | PlatformId | platformId | ) |
| static

## ◆ IsIOS() [1/2]

bool Zwipe.Build.Tools.IO.Platform.IsIOS | ( |  | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ IsIOS() [2/2]

bool Zwipe.Build.Tools.IO.Platform.IsIOS | ( | PlatformId | platformId | ) |
| static

## ◆ IsLinux() [1/2]

bool Zwipe.Build.Tools.IO.Platform.IsLinux | ( |  | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ IsLinux() [2/2]

bool Zwipe.Build.Tools.IO.Platform.IsLinux | ( | PlatformId | platformId | ) |
| static

## ◆ IsMacOsX() [1/2]

bool Zwipe.Build.Tools.IO.Platform.IsMacOsX | ( |  | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ IsMacOsX() [2/2]

bool Zwipe.Build.Tools.IO.Platform.IsMacOsX | ( | PlatformId | platformId | ) |
| static

## ◆ IsWindows() [1/2]

bool Zwipe.Build.Tools.IO.Platform.IsWindows | ( |  | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ IsWindows() [2/2]

bool Zwipe.Build.Tools.IO.Platform.IsWindows | ( | PlatformId | platformId | ) |
| static

## ◆ PlatformIdToPath() [1/2]

string Zwipe.Build.Tools.IO.Platform.PlatformIdToPath | ( | PlatformId | platform | ) |
| static

Here is the call graph for this function:

## ◆ PlatformIdToPath() [2/2]

string Zwipe.Build.Tools.IO.Platform.PlatformIdToPath | ( | string | platform | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ CachedUnixPlatformId

? PlatformId Zwipe.Build.Tools.IO.Platform.CachedUnixPlatformId
| static private

## Property Documentation

## ◆ Current

PlatformId Zwipe.Build.Tools.IO.Platform.Current
| static get

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/IO/Platform.cs